package domain

type AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   参加活动的买赠商品详情列表     */
	SkuList *[]AlibabaHmMarketingItembuygiftQueryitemsData `json:"sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   调用api是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetMessage(v string) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetSkuList(v []AlibabaHmMarketingItembuygiftQueryitemsData) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingItembuygiftQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
